indexing

	description: "Mixin class used solely for debugging purposes."


class

	SERVICE_DEBUGGING


feature {NONE} -- Logging

	log (msg: STRING) is
		require
			msg_not_void: msg /= Void
		local
			f: KL_TEXT_OUTPUT_FILE
		do
			create f.make ("c:\tmp\service.log")
			f.open_append
			f.put_string (do_get_current_thread_id.out)
			f.put_line (msg)
			f.close
		end


feature {NONE} -- Windows API

	do_get_current_thread_id: INTEGER is
		external
			"C [macro <windows.h>]"
		alias
			"GetCurrentThreadId()"
		end

	mssleep (milliseconds: INTEGER) is
		external "C [macro <windows.h>] (DWORD)"
		alias "Sleep"
		end

end
